import numpy as np
import pandas as pd

from mgquant.utils import lazyimport
lazyimport.lazyimport(globals(), """
from supermind.mod.mindgo.utils.recorder import log
from supermind.mod.mindgo.research import (
    analyst_forecast,
    bonus,
    rationed,
    characteristic_data,
    terrorist_attack,
    stripped_assets,
    price_change,
    stock_event,
    gudonghushu,
    research_report,
    actual_controller_change,
    per_forecast,
    executive_change,
    banner_acquisition,
    acquire_shell,
    employee_stock_ownership_plan,
    private_placement,
    institutional_investors_holdings,
    product_price_increase,
    industry,
    festival,
    two_sessions,
    shsc,
    csrc,
    sport_event,
    factor,
    barra_factor,
    barra_factor_return,
    valuation,
    balance,
    cashflow,
    income,
    profit_report,
    operating,
    debtrepay,
    profit,
    growth,
    cashflow_sq,
    income_sq,
    profit_sq,
    growth_sq,
    asharevalue,
    ashareoperate,
    asharedebt,
    ashareprofit,
    pub_stat,
    jiejinmingxi,
    gubenxinxi,
    chigujigoumingcheng,
    dagudongxinxi,
    liutonggudongxinxi,
    hgt_holdrecord,
    hgt_tradeinfo,
    hgt_stocks,
    hgt_active_share,
    msci_stocks,
    province,
    concept_classification,
    gongsigengming,
    yuangongzongshu,
    dragon_tiger_league_table_total,
    dragon_tiger_league_table_detail,
    dragon_tiger_league_table_reasons,
    position_detail,
    top_detail,
    non_tradable_shares_reform,
    litigation_arbitration,
    violation_punishment,
    company_research,
    info_news_data,
    bad_news,
    neutral_news,
    good_news,
)
from supermind.mod.mindgo.research.research_api import (
    pd_Panel,
    normalize_symbol,
    get_security_info,
    get_price,
    get_candle_stick,
    get_all_trade_days,
    get_trade_days,
    get_last_trade_day,
    get_index_list,
    get_index_stocks,
    get_index_weight,
    get_industry_stocks,
    get_concept_stocks,
    get_symbol_industry,
    query,
    get_newsinfo,
    get_fundamentals,
    get_hgt_data,
    get_hold_detail,
    get_factors,
    get_event,
    get_important_matters,
    get_company_basic_information,
    get_gudongguben,
    get_dragon_tiger_league_table,
    dividend_information,
    rationed_shares_information,
    get_analyst_forecast,
    get_stats,
    get_stylefactor,
    get_resistance_support,
    get_sfactors,
    get_sfactor_industry,
    get_sfactor_data,
    get_alphalens_data_obj,
    get_clean_factor_data,
    get_mtss,
    get_extras,
    get_money_flow,
    get_money_flow_step,
    get_industry_relate,
    get_industry_info,
    read_file,
    write_file,
    superreload,
    notify_push,
)
from supermind.mod.stock.research_api import (
    get_price_future,
    get_candle_stick_future,
    get_futures_dominate,
    get_futures_info,
    get_future_code,
    get_all_securities,
    get_dividend_information,
    get_option_code,
)
from supermind.mod.analyser.research_api import research_strategy
from supermind.mod.realtime.research_api import research_trade
""")
del lazyimport
# ast transformer
from mgquant.utils import transformer
transformer.ip and transformer.ip.ast_transformers.clear()
del transformer

# hide all warning
import warnings
warnings.filterwarnings('ignore')
